Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226115 - Merge Review: m4
Summary: Merge Review: m4
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:36 UTC by Nobody's working on this, feel free to take it
Modified: 2008-07-14 10:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-14 10:56:01 UTC
debarshir: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:36:19 UTC
Fedora Merge Review: m4

http://cvs.fedora.redhat.com/viewcvs/devel/m4/
Initial Owner: mitr@redhat.com

Comment 1 Debarshi Ray 2008-06-01 15:30:51 UTC
MUST Items: 

xx - rpmlint is unclean on RPM
    + [rishi@ginger x86_64]$ rpmlint m4-1.4.11-1.fc8.x86_64.rpm
      m4.x86_64: W: spurious-executable-perm /usr/share/doc/m4-1.4.11/COPYING
      [rishi@ginger x86_64]$ 

OK - follows Naming Guidelines
OK - spec file is named as %{name}.spec

xx - package does not meet Packaging Guidelines
    + According to
https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make you should use
'make %{?_smp_mflags}' whenever possible. In this case since upstream supports
parallel builds (http://koji.fedoraproject.org/koji/taskinfo?taskID=639507) you
should use it.
    + To preserve timestamps you could consider using:
      make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

OK - license meets Licensing Guidelines
OK - License field meets actual license
OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed
OK - build dependencies correctly listed
OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file

xx - file permissions set properly
    + The COPYING file's permissions need to be set to 644. You could do that in
%prep.
    + The preferred attribute definition is: %defattr(-,root,root,-)

OK - %clean present
OK - macros used consistently
OK - contains code and permissable content
OK - -doc is not needed
OK - contents of %doc does not affect the runtime
OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel is not needed
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets are sane
OK - subpackages are not needed
OK - no pkgconfig files
OK - no file dependencies outside /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Comment 2 Debarshi Ray 2008-06-22 12:47:49 UTC
Ping?

Comment 3 Miloslav Trmač 2008-06-23 14:54:46 UTC
m4 is now owned by Vitezslav, sorry for not noticing this earlier.

Comment 4 Debarshi Ray 2008-06-27 17:58:21 UTC
Ping?

Comment 5 Vitezslav Crhonek 2008-07-01 14:12:17 UTC
Thanks for your suggestions, all issues are fixed in devel branch.

Comment 6 Debarshi Ray 2008-07-02 16:33:42 UTC
+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+

Comment 7 Debarshi Ray 2008-07-11 20:25:05 UTC
Please close this bug as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.